# PGDTools Documentation

[![PyPi](https://img.shields.io/pypi/v/pgdtools?color=informational)](https://pypi.org/project/pgdtools/)
[![docs](https://readthedocs.org/projects/pgdtools/badge/?version=latest)](https://pgdtools.readthedocs.io)
[![License](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/NASA-Planetary-Science/pgdtools/blob/main/LICENSE)
[![tests](https://github.com/NASA-Planetary-Science/pgdtools/actions/workflows/tests.yml/badge.svg)](https://github.com/NASA-Planetary-Science/pgdtools/actions/workflows/tests.yml)
[![codecov](https://codecov.io/gh/NASA-Planetary-Science/pgdtools/branch/main/graph/badge.svg?token=N0NNVEI8CX)](https://codecov.io/gh/NASA-Planetary-Science/pgdtools)
[![Rye](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/rye/main/artwork/badge.json)](https://rye.astral.sh)
[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](code_of_conduct.md)

## Welcome!

![Some presolar grains](https://galactic-forensics.space/img/projects/stardust/sic_grains_compilation.png)

The goal of this package is to provide a set of tools to
easily access and interface with the presolar grain database.
This package allows users to manage which database(s) they want to use
and provides a set of tools to filter and access the data itself.
Furthermore, maintainer tools are provided as well
in order for database maintainers to keep the package up to date.

!!! warning "Attention"

    While we hope that most of functionality is stable,
    this package is still under development.
    Please report any issues you encounter and let us know what you think!
    Feel free either open a [new issue](https://github.com/NASA-Planetary-Science/pgdtools/issues) on GitHub,
    start a [new discussion](https://github.com/NASA-Planetary-Science/pgdtools/discussions),
    or reach out to us directly.

!!! tip "Come join and help us!"

    We are always looking for contributors!
    If you are interested in helping out,
    please get in touch with us!
    We are happy to help you get started.
    You might also want to have a look at our
    [Code of Conduct](code_of_conduct.md).
